[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFS: Many php-* packages to be updated: php-auth-http php-compat php-config php-crypt-cbc php-event-dispatcher php-html-common php-html-select php-image-barcode php-net-ping php-net-portscan php-xml-rss (updated package)



Hi Thomas,

First of all, thanks for your work on this set of packages.

In general, they look ok. There's one remark: you seem to not use all the 
features of the debhelper system. For example you are using 'cp' or 'mv' to 
install files in different places, while there is dh_install, dh_installdocs, 
dh_installchangelogs etc. etc. You really should use those. Try dh_<tab><tab> 
on the command line to see all possible dh_ commands, and use those which are 
most appropriate.

> php-html-select - A class for generating HTML form select elements
> http://mentors.debian.net/debian/pool/main/p/php-html-select/php-html-selec
>t_1.2.1-2.dsc

This one does not exist in the archive - although the changelog mentions 
an "initial release" in December. Is that right?

For the following packages the following applies: you are changing the licence 
in debian/copyright to the "PHP 3.0 license" while they are licensed under 
the PHP 2.0 license. The source file says so. That is of course not good.

php-auth-http
php-config
php-crypt-cbc
php-html-common
php-html-select
php-net-ping
php-net-portscan
php-xml-rss

Since this concerns nearly all packages, I've also not uploaded the remaining 
ones for now. Could you please carefully review the licensing of each of the 
modules and make sure debian/copyright is consistent with the actual code?

Let me know when I should review the updated packages.

thanks,
Thijs

Attachment: pgpzl1JspnAA5.pgp
Description: PGP signature


Reply to: